dbXML API

## com.dbxml.xml.sax
Class SAXProducer

    java.lang.Object
      com.dbxml.xml.dtsm.Producer
          com.dbxml.xml.sax.SAXProducer

All Implemented Interfaces:
  Consumer

public final class SAXProducer
extends Producer
implements Consumer

SAXProducer

Constructor Summary
`SAXProducer(DocumentTable table)`
`SAXProducer(DocumentTable table, org.xml.sax.ContentHandler handler)`

Method Summary
`void` `attribute(DocumentTableEntry entry)`
`void` `beginDocument(DocumentTableEntry entry)`
`void` `beginElement(DocumentTableEntry entry)`
`void` `cdata(DocumentTableEntry entry)`
`void` `comment(DocumentTableEntry entry)`
`void` `docType(DocumentTableEntry entry)`
`void` `endDocument(DocumentTableEntry entry)`
`void` `endElement(DocumentTableEntry entry)`
`void` `entity(DocumentTableEntry entry)`
`void` `entityRef(DocumentTableEntry entry)`
`org.xml.sax.ContentHandler` `getContentHandler()`
`org.xml.sax.DTDHandler` `getDTDHandler()`
`org.xml.sax.EntityResolver` `getEntityResolver()`
`org.xml.sax.ErrorHandler` `getErrorHandler()`
`boolean` `getFeature(java.lang.String name)`
`void` `notation(DocumentTableEntry entry)`
`void` `process(Consumer consumer)` process effectively kicks off the process that will produce the alternative representation of the associated DocumentTable.
`void` `procInst(DocumentTableEntry entry)`
`void` `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` `setDTDHandler(org.xml.sax.DTDHandler handler)`
`void` `setEntityResolver(org.xml.sax.EntityResolver resolver)`
`void` `setErrorHandler(org.xml.sax.ErrorHandler handler)`
`void` `setFeature(java.lang.String name, boolean value)`
`void` `setProperty(java.lang.String name, java.lang.Object value)` setProperty sets a named property value for this Producer.
`void` `text(DocumentTableEntry entry)`

Methods inherited from class com.dbxml.xml.dtsm.Producer
`getDocumentTable, getProperty, process, setDocumentTable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.xml.dtsm.Consumer
`setDocumentTable`

Constructor Detail

### SAXProducer

    public SAXProducer(DocumentTable table)

### SAXProducer

    public SAXProducer(DocumentTable table,
                       org.xml.sax.ContentHandler handler)

Method Detail

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Throws:
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Description copied from class: `Producer`
  setProperty sets a named property value for this Producer.

  Overrides:
    `setProperty` in class `Producer`
  Parameters:
    `name` - the property name
    `value` - the property value

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

### process

    public void process(Consumer consumer)
                 throws java.lang.Exception

  Description copied from class: `Producer`
  process effectively kicks off the process that will produce the alternative representation of the associated DocumentTable.

  Overrides:
    `process` in class `Producer`
  Parameters:
    `consumer` - The Consumer to target for this processing
  Throws:
    `java.lang.Exception`

### beginDocument

    public void beginDocument(DocumentTableEntry entry)

  Specified by:
    `beginDocument` in interface `Consumer`

### endDocument

    public void endDocument(DocumentTableEntry entry)

  Specified by:
    `endDocument` in interface `Consumer`

### beginElement

    public void beginElement(DocumentTableEntry entry)
                      throws java.lang.Exception

  Specified by:
    `beginElement` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### endElement

    public void endElement(DocumentTableEntry entry)
                    throws java.lang.Exception

  Specified by:
    `endElement` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### attribute

    public void attribute(DocumentTableEntry entry)
                   throws java.lang.Exception

  Specified by:
    `attribute` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### procInst

    public void procInst(DocumentTableEntry entry)
                  throws java.lang.Exception

  Specified by:
    `procInst` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### text

    public void text(DocumentTableEntry entry)
              throws java.lang.Exception

  Specified by:
    `text` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### cdata

    public void cdata(DocumentTableEntry entry)
               throws java.lang.Exception

  Specified by:
    `cdata` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### comment

    public void comment(DocumentTableEntry entry)
                 throws java.lang.Exception

  Specified by:
    `comment` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### entity

    public void entity(DocumentTableEntry entry)
                throws java.lang.Exception

  Specified by:
    `entity` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### notation

    public void notation(DocumentTableEntry entry)
                  throws java.lang.Exception

  Specified by:
    `notation` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### docType

    public void docType(DocumentTableEntry entry)
                 throws java.lang.Exception

  Specified by:
    `docType` in interface `Consumer`
  Throws:
    `java.lang.Exception`

### entityRef

    public void entityRef(DocumentTableEntry entry)
                   throws java.lang.Exception

  Specified by:
    `entityRef` in interface `Consumer`
  Throws:
    `java.lang.Exception`

dbXML API

Copyright (c) 2004 The dbXML Group